Skip to content
Uranus Docs
Esc
↑↓navigate↵open⌘Jpreview

Get choosable event occasions

Returns the available event occasion types localized in the requested language.

GET/api/choosable-event-occasions
Query parameters
langstring

ISO 639-1 language code used for localized event occasion names.

min length 2 · max length 2 · default: "en"
Responses
200

Event occasion types successfully retrieved.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:200
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableEventOccasions.ChoosableEventOccasionsMetadata

Metadata returned with the list of event occasion types.

Show properties
languagestringrequired

ISO 639-1 language code used for localization.

min length 2 · max length 2
event_occasion_countintegerrequired

Number of available event occasion types.

min 0
response_time_msintegerrequired

Time required to generate the response in milliseconds.

min 0
dataGetChoosableEventOccasions.EventOccasionType[]required

Available event occasion types.

Show properties
Array of GetChoosableEventOccasions.EventOccasionType
idstring | anyrequired

Identifier of the event occasion type.

Show properties
Any of:
string
string
any
any
namestring | anyrequired

Localized name of the event occasion type.

Show properties
Any of:
string
string
any
any
messagestring

Human-readable response message.

500

Internal server error while retrieving event occasion types.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:500
timestampstring<date-time>required

Time at which the response was generated.

metadataobject

Response metadata.

dataany

Response payload.

Show properties
Any of:
any
any
any
any
messagestring

Human-readable response message.

Try it
Server
Parameters
Request
curl -X GET "https://api.kulturbytes.de/api/choosable-event-occasions"
Response
{
  "service": "Uranus API",
  "api_version": "1.0",
  "response_type": "get-choosable-event-occasions",
  "status": 200,
  "timestamp": "2026-09-20T11:37:00Z",
  "metadata": {
    "language": "en",
    "event_occasion_count": 5,
    "response_time_ms": 12
  },
  "data": [
    {
      "id": "0",
      "name": "No specific occasion"
    },
    {
      "id": "1",
      "name": "Anniversary"
    },
    {
      "id": "2",
      "name": "Festival"
    },
    {
      "id": "3",
      "name": "Opening"
    },
    {
      "id": "4",
      "name": "Holiday"
    }
  ]
}